Subject: Re: mysterious error message

From: tom sgouros <[email-masked]>
Date: Fri, 26 Sep 2008 10:29:29 -0400

> Hello,
> 
> On Thu, Sep 25, 2008 at 05:33:38PM -0400, Tom Sgouros wrote:
> > I receive the following error message when I try to do a 'git push':
> > 
> >   tomfool@toms-box:hpl$ git push
> >   updating 'refs/heads/master'
> >     from ad4ae7925d3dd23798e7c5b733d2d8f930f7410f
> >     to   5b5f5fae014a4f3535fa10b0f6e28b4bf3225dc3
> >    Also local refs/remotes/origin/master
> >   Generating pack...
> >   Done counting 10 objects.
> >   Deltifying 10 objects...
> >   error: pack-objects died with strange error
> >   unpack eof before pack header was fully read
> >   ng refs/heads/master n/a (unpacker error)
> >   error: failed to push to 'ssh://[email-masked]/home/tomfool/hpl.git'
> >   tomfool@toms-box:hpl$
> > 
> > I haven't been able to interpret this message, and haven't found it in
> > the documentation, and google has let me down, too.  Can anyone tell me
> > what is causing it?
> I think it's a problem on the pushing side.  Maybe out of disk space (in
> $GIT_DIR or $TMP_DIR)?  Does git repack work?
> 

I did have a disk space issue on the pushing side, but have cleared it
up.  Is there something that needs to be reset, do you think?

Yes, git repack seems to work fine.  "Counting 215 objects, Deltifying
215 objects."  But I still get the same error message afterwards.

Thanks,

 -tom

-- 
 ------------------------
 tomfool at as220 dot org
 http://sgouros.com  
 http://whatcheer.net